{% extends "ajax/game/town/town.html.twig" %}
{% block title %}{{'Die Bürger'|trans({}, 'game')}}{% endblock %}
{% block content %}
    {% set hour = "now"|date("G") %}
    <div class="row">
        <div class="cell rw-12 town-banner town-banner-houses time-{{ hour }} {% if town.isNight %}night{% endif %}"></div>
    </div>

    <ul class="tabs plain">
        <li class="tab">
            <div class="tab-link" x-ajax-sticky x-ajax-href="{{ path('town_citizens') }}">
                {% trans from 'game' %}Bürger{% endtrans %}
            </div>
        </li>
        {% for name,role in votesNeeded %}
            {% if role %}
            <li class="tab">
                <div class="tab-link" x-ajax-sticky x-ajax-href="{{ path('town_citizen_vote', {roleId: role.id}) }}">
                    <img alt="" src="{{ asset('build/images/item/item_bureau.gif') }}" /> {{ role.label|trans({}, 'game') }}
                </div>
            </li>
            {% endif %}
        {% endfor %}

        {% if has_omniscience %}
        <li class="tab selected">
            <div class="tab-link" x-ajax-sticky x-ajax-href="{{ path('town_citizens_omniscience') }}"> <img src="{{ asset('build/images/icons/small_view.gif') }}" alt="" />{{'Allwissenheit'|trans({}, 'game')}}</div>
        </li>
        {% endif %}
    </ul>

    <div class="row-table citizens-list">
        <div class="row header">
            <div class="padded cell rw-4 left rw-md-5">{{ 'Bürger'|trans({},'game') }}</div>
            <div class="padded cell rw-4 rw-md-2 center">{{ 'Truhe'|trans({},'game') }}</div>
            <div class="padded cell rw-2 rw-md-1 center">{{ 'Seele'|trans({},'soul') }}</div>
            <div class="padded cell rw-2 center">{{ 'Aktivität'|trans({},'game') }}</div>
        </div>
        {% for citizen in citizens|sort((a,b) => (a.infos.alive == b.infos.alive) ? ((a.infos.alive) ? a.infos.user.name|lower <=> b.infos.user.name|lower : b.infos.survivedDays <=> a.infos.survivedDays) : b.infos.alive <=> a.infos.alive) %}
            {% if citizen.infos.alive %}
            <div class="row {% if citizen.infos == me%} me{% endif %}" x-ajax-href="{{ path('town_visit', {id: citizen.infos.id}) }}">
                <div class="padded cell rw-1 rw-md-2">
                        <img alt="{{ citizen.infos.home.prototype.level }}" src="{{ asset('build/images/home/' ~ citizen.infos.home.prototype.icon ~ '.gif') }}" />
                </div>
                <div class="padded cell rw-3 rw-md-3 small">
                    <span>
                        {% if citizen.infos.banished %}
                            <img alt="" src="{{ asset('build/images/icons/banished.gif') }}" />
                        {% elseif citizen.infos.profession.heroic %}
                            <img alt="" src="{{ asset('build/images/professions/hero.gif') }}" />
                        {% else %}
                            <img alt="" src="{{ asset('build/images/professions/void.gif') }}" />
                        {% endif %}
                        <img alt="{{ citizen.infos.profession.label|trans({},'game') }}" src="{{ asset('build/images/professions/' ~ citizen.infos.profession.icon ~ '.gif') }}" />
                        <b>{{ citizen.infos.user.name }}</b>
                    </span>
                </div>
                <div class="padded cell rw-4 rw-md-2 small">
                    {% if not hidden[citizen.infos.id] %}
                        {% if citizen.infos.home.chest.items|length == 0 %}
                            <em>{{ 'Leere Truhe'|trans({},'game') }}</em>
                        {% endif %}
                        {% for item in citizen.infos.home.chest.items %}
                            {# @var \App\Entity\Item item #}
                            <img alt="{{ item.prototype.label|trans({},'items') }}" src="{{ asset('build/images/item/item_' ~ item.prototype.icon ~ '.gif') }}" />
                        {% endfor %}
                    {% else %}
                        <em>{{ 'Der Inhalt dieses Hauses wird durch Vorhänge an den Fenstern verdeckt...'|trans({},'game') }}</em>
                    {% endif %}

                </div>
                <div class="padded cell rw-2 rd-md-1 small">
                    {{ citizen.soulPoint }} {{ 'Punkt(e)'|trans({},'game') }}
                </div>
                <div class="padded cell rw-2 small center">
                {% if citizen.omniscienceLevel > 0 %}
                    {% for i in range(1, citizen.omniscienceLevel) %}<img src="{{ asset('build/images/icons/small_new.gif') }}" alt="*" />{% endfor %}
                {% endif %}
                </div>
            </div>
            {% endif %}
        {% endfor %}
    </div>

{% endblock %}